
Foreman - Bug #6025

ruby_parser-3.0.4/lib/ruby_lexer.rb breaks with ruby2.1 upgrade on Debian

06/02/2014 11:43 PM - Brad Alexander

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Rails   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I upgraded my Debian/sid box last night and foreman (as well as all puppet runs) stopped working.

I finally tracked it down to line 13 of /usr/share/foreman/vendor/ruby/2.1.0/gems/ruby_parser-3.0.4/lib/ruby_lexer.rb

I updated the file from

when /^(1\.9|2\.0)/ then

to

when /^(1\.9|2\.0|2\.1)/ then

and it stopped borking on me.

History

#1 - 06/03/2014 07:17 AM - Dominic Cleal

- Category set to Rails

#2 - 05/17/2017 04:05 PM - Anonymous

- Status changed from New to Rejected

we only support released Debian versions.
